7.1.3 Pro: seaf-backup-cmd.sh problems

After upgrading my test seafile instance seaf-backup-cmd.sh is not working on the backup server for me:

$ ./seaf-backup-cmd.sh status
  File "/volume1/sftest/seafile-pro-server-7.1.3/seaf-backup-cmd.py", line 13
    print 'Total number of libraries: %s' % ret_dict['n_total']

OK, that is easy, change all “print ‘…’” to "print(’…’)

Next:

$ ./seaf-backup-cmd.sh status
Traceback (most recent call last):
File “/volume1/sftest/seafile-pro-server-7.1.3/seaf-backup-cmd.py”, line 7, in
from seaserv import seafile_api
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/seaserv/init.py”, line 1, in
from . import service
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/seaserv/service.py”, line 9, in
import ccnet
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/ccnet/init.py”, line 1, in
from ccnet.rpc import CcnetThreadedRpcClient
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/ccnet/rpc.py”, line 1, in
from pysearpc import searpc_func, NamedPipeClient
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/init.py”, line 5, in
from .named_pipe import NamedPipeServer, NamedPipeClient
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 5, in
from future import standard_library
ModuleNotFoundError: No module named ‘future’

OK, also easy fixable: pip3 install future

$ ./seaf-backup-cmd.sh
Traceback (most recent call last):
File “/volume1/sftest/seafile-pro-server-7.1.3/seaf-backup-cmd.py”, line 50, in
args.func(args)
AttributeError: ‘Namespace’ object has no attribute ‘func’

:confused:

$ ./seaf-backup-cmd.sh -h
usage: seaf-backup-cmd.py [-h] {status,sync} …

optional arguments:
-h, --help show this help message and exit

subcommands:

{status,sync}
status get backup status
sync sync repo

OK, this works now

$ ./seaf-backup-cmd.sh status
Traceback (most recent call last):
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 88, in _get_transport
transport = self._pool.get(False)
File “/usr/lib/python3.6/queue.py”, line 161, in get
raise Empty
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/volume1/sftest/seafile-pro-server-7.1.3/seaf-backup-cmd.py”, line 50, in
args.func(args)
File “/volume1/sftest/seafile-pro-server-7.1.3/seaf-backup-cmd.py”, line 11, in show_backup_status
ret_str = seafile_api.get_backup_status()
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/seaserv/api.py”, line 1194, in get_backup_status
return seafserv_threaded_rpc.get_backup_status()
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 100, in call_remote_func_sync
transport = self._get_transport()
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 90, in _get_transport
transport = self._create_transport()
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 83, in _create_transport
transport.connect()
File “/volume1/sftest/seafile-pro-server-7.1.3/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 47, in connect
self.pipe.connect(self.socket_path)
FileNotFoundError: [Errno 2] No such file or directory

This also happens with “./seaf-backup-cmd.sh sync $ID”.

The system is a fully patched Ubuntu 18.04.4 LTS

This is fixed in 7.1.4 Pro. Thank you!